Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1065576 - Add additional patches to urllib2_kerberos
Summary: Add additional patches to urllib2_kerberos
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: python-urllib2_kerberos
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Tomas Dabašinskas
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 578711
TreeView+ depends on / blocked
 
Reported: 2014-02-15 00:57 UTC by Matěj Cepl
Modified: 2018-04-11 18:36 UTC (History)
4 users (show)

Fixed In Version: python-urllib2_kerberos-0.1.6-14.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-09-27 09:50:55 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)
suggested patch (deleted)
2014-02-15 00:57 UTC, Matěj Cepl
no flags Details | Diff
[PATCH] Set default logging to INFO, not DEBUG, and fix python .format() code for Python 2.6 compatiblity (deleted)
2014-09-17 14:30 UTC, Richard Monk
no flags Details

Description Matěj Cepl 2014-02-15 00:57:40 UTC
Created attachment 863543 [details]
suggested patch

Description of problem:
Upstream seems to be a bit dead so I have collected all patches to urllib2_kerberos I could find

Version-Release number of selected component (if applicable):
python-urllib2_kerberos-0.1.6-9.fc21.noarch

Comment 1 Tomas Dabašinskas 2014-02-17 01:10:16 UTC
Hi Matěj, looks good please attach srpm and I'll rebuild the package, alternatevly please request access to modify the package by clicking "Add myself to package" here https://admin.fedoraproject.org/pkgdb/acls/name/python-urllib2_kerberos

Comment 2 Matěj Cepl 2014-02-17 07:05:23 UTC
http://mcepl.fedorapeople.org/tmp/python-urllib2_kerberos-0.1.6-10.fc21.src.rpm check the release number, changelog, etc.

Comment 3 Matěj Cepl 2014-02-21 23:48:14 UTC
(In reply to Tomas Dabašinskas from comment #1)
> Hi Matěj, looks good please attach srpm and I'll rebuild the package,
> alternatevly please request access to modify the package by clicking "Add
> myself to package" here
> https://admin.fedoraproject.org/pkgdb/acls/name/python-urllib2_kerberos

BTW, I am a provenpackager, so I can build the package without getting explicitly into the package. However, I don't want to do anything behind your back.

Comment 4 Tomas Dabašinskas 2014-06-10 04:02:04 UTC
Matěj, please feel free to add the patches to urllib2_kerberos

Comment 6 Fedora Update System 2014-06-10 16:20:55 UTC
python-urllib2_kerberos-0.1.6-11.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/python-urllib2_kerberos-0.1.6-11.fc20

Comment 7 Fedora Update System 2014-06-10 16:21:23 UTC
python-urllib2_kerberos-0.1.6-11.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/python-urllib2_kerberos-0.1.6-11.fc19

Comment 8 Fedora Update System 2014-06-10 16:21:47 UTC
python-urllib2_kerberos-0.1.6-11.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/python-urllib2_kerberos-0.1.6-11.el6

Comment 9 Fedora Update System 2014-06-19 22:59:29 UTC
python-urllib2_kerberos-0.1.6-11.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2014-06-19 23:01:01 UTC
python-urllib2_kerberos-0.1.6-11.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2014-07-01 17:07:05 UTC
python-urllib2_kerberos-0.1.6-11.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Ben Jones 2014-07-03 12:41:05 UTC
Hi, this seems to not work with python 2.6, and therefore on EPEL 6. Specifically line 36 in negotiate_value() has:

log.debug('authreqs = {}'.format(authreqs))

In my case, and I'd have thought the normal case where "authreqs" has the value: ['Negotiate'] then we get this error from the format:

ipdb> 'authreqs = {}'.format(authreqs)
*** ValueError: zero length field name in format

It works fine for python 2.7:

In [1]: authreqs = ['Negotiate']

In [2]: 'authreqs = {}'.format(authreqs)
Out[2]: "authreqs = ['Negotiate']"

Comment 13 Matěj Cepl 2014-07-03 13:38:46 UTC
Reopening per comment 12

Comment 14 Fedora Update System 2014-09-15 23:54:48 UTC
python-urllib2_kerberos-0.1.6-13.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/python-urllib2_kerberos-0.1.6-13.el6

Comment 15 Fedora Update System 2014-09-15 23:55:55 UTC
python-urllib2_kerberos-0.1.6-13.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/python-urllib2_kerberos-0.1.6-13.fc19

Comment 16 Fedora Update System 2014-09-15 23:56:59 UTC
python-urllib2_kerberos-0.1.6-13.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/python-urllib2_kerberos-0.1.6-13.fc20

Comment 17 Fedora Update System 2014-09-15 23:57:38 UTC
python-urllib2_kerberos-0.1.6-13.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/python-urllib2_kerberos-0.1.6-13.fc21

Comment 18 Fedora Update System 2014-09-15 23:58:29 UTC
python-urllib2_kerberos-0.1.6-13.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/python-urllib2_kerberos-0.1.6-13.el7

Comment 19 Richard Monk 2014-09-17 14:30:35 UTC
Created attachment 938499 [details]
[PATCH] Set default logging to INFO, not DEBUG, and fix python .format() code for Python 2.6 compatiblity

It looks like the add_logging patch sets the default logging level to DEBUG (not ideal) and the log format lines are not Python 2.6 compatible.

I've attached a patch that seems to solve both issues, against 
http://pkgs.fedoraproject.org/cgit/python-urllib2_kerberos.git/tree/

Comment 20 Fedora Update System 2014-09-27 09:50:55 UTC
python-urllib2_kerberos-0.1.6-13.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 21 Fedora Update System 2014-09-27 09:59:00 UTC
python-urllib2_kerberos-0.1.6-13.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 22 Fedora Update System 2014-09-27 10:06:25 UTC
python-urllib2_kerberos-0.1.6-13.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 23 Fedora Update System 2014-10-28 10:56:46 UTC
python-urllib2_kerberos-0.1.6-14.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 24 Fedora Update System 2014-11-02 21:08:27 UTC
python-urllib2_kerberos-0.1.6-14.el7 has been pushed to the Fedora EPEL 7 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.